| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.OverageRequest Class Reference

Class that encapsulates information about overages in consumption licence. More...

Inheritance diagram for LicenseSpring.OverageRequest:

## Public Member Functions
| OverageRequest ()
| OverageRequest default constructor.
| OverageRequest (bool IsOverageAllowed, int MaxOverage)
| OverageRequest constructor where you can provide your IsOverageAllowed and MaxOverage params.

## Properties
bool | IsConsumptionOverageAllowed`[get, set]`
| Is it allowed to exceed consumption for this license.Meaningful only for Consumption based license.
int | MaxConsumptionOverage`[get, set]`
| Extra amount of consumption that allows to go over `MaxConsumption`.Meaningful only for Consumption license.
Properties inherited from LicenseSpring.IOverageRequest

## Detailed Description

Class that encapsulates information about overages in consumption licence.

This information can be passed to `LicenseService.SyncConsumption` if you want to add information about overages to request.

## Constructor & Destructor Documentation

## ◆ OverageRequest()

LicenseSpring.OverageRequest.OverageRequest | ( | bool | IsOverageAllowed,
|  | int | MaxOverage
| ) |  |

OverageRequest constructor where you can provide your IsOverageAllowed and MaxOverage params.

Parameters

  IsOverageAllowed | Is it allowed to exceed consumption for this license.
  MaxOverage | Extra amount of consumption that allows to go over `MaxConsumption`.

## Property Documentation

## ◆ IsConsumptionOverageAllowed

bool LicenseSpring.OverageRequest.IsConsumptionOverageAllowed
| get set

Is it allowed to exceed consumption for this license.Meaningful only for Consumption based license.

Implements LicenseSpring.IOverageRequest.

## ◆ MaxConsumptionOverage

int LicenseSpring.OverageRequest.MaxConsumptionOverage
| get set

Extra amount of consumption that allows to go over `MaxConsumption`.Meaningful only for Consumption license.

Implements LicenseSpring.IOverageRequest.

The documentation for this class was generated from the following file:

- OverageRequest.cs